org.jbpm.services.api.utils

## Interface KieServiceConfigurator

- All Known Implementing Classes:
    DefaultKieServiceConfigurator

      public interface KieServiceConfigurator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configureServices(String puName, org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback)`
    `DeploymentUnit` | `createDeploymentUnit(String groupId, String artifactid, String version)`
    `DefinitionService` | `getBpmn2Service()`
    `DeploymentService` | `getDeploymentService()`
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()`
    `ProcessInstanceAdminService` | `getProcessAdminService()`
    `ProcessService` | `getProcessService()`
    `QueryService` | `getQueryService()`
    `RuntimeDataService` | `getRuntimeDataService()`
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()`
    `UserTaskService` | `getUserTaskService()`

- - ### Method Detail

    - #### configureServices

          void configureServices(String puName,
                                 org.kie.internal.identity.IdentityProvider identityProvider,
                                 org.kie.api.task.UserGroupCallback userGroupCallback)

    - #### createDeploymentUnit

          DeploymentUnit createDeploymentUnit(String groupId,
                                              String artifactid,
                                              String version)

    - #### close

          void close()

    - #### getDeploymentService

          DeploymentService getDeploymentService()

    - #### getBpmn2Service

          DefinitionService getBpmn2Service()

    - #### getRuntimeDataService

          RuntimeDataService getRuntimeDataService()

    - #### getProcessService

          ProcessService getProcessService()

    - #### getUserTaskService

          UserTaskService getUserTaskService()

    - #### getQueryService

          QueryService getQueryService()

    - #### getProcessAdminService

          ProcessInstanceAdminService getProcessAdminService()

    - #### getIdentityProvider

          org.kie.internal.identity.IdentityProvider getIdentityProvider()

    - #### getUserGroupCallback

          org.kie.api.task.UserGroupCallback getUserGroupCallback()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.